Module javafx.graphics
Package javafx.print

# Enum PrintSides

java.lang.Object
java.lang.Enum<PrintSides>
javafx.print.PrintSides

All Implemented Interfaces:
  `Serializable`, `Comparable<PrintSides>`, `Constable`

    public enum PrintSides
    extends Enum<PrintSides>

Class to enumerate the possible duplex (two-sided) printing modes.

Since:
  JavaFX 8.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `DUPLEX` | Two sided printing where the vertical edge of the paper is to be used for binding such as in a book.
  `ONE_SIDED` | One sided printing.
  `TUMBLE` | Two sided printing where the horizontal edge of the paper is to be used for binding such as in a notepad.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static PrintSides` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static PrintSides[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ONE_SIDED

    public static final PrintSides ONE_SIDED
    One sided printing. Duplex printing is off.

  - ### DUPLEX

    public static final PrintSides DUPLEX
    Two sided printing where the vertical edge of the paper is to be used for binding such as in a book. In PORTAIT mode printing, the vertical edge is usally the long edge but this is reversed if LANDSCAPE printing is requested

  - ### TUMBLE

    public static final PrintSides TUMBLE
    Two sided printing where the horizontal edge of the paper is to be used for binding such as in a notepad. In PORTAIT mode printing, the horizontal edge is usally the short edge but this is reversed if LANDSCAPE printing is requested

- ## Method Details

  - ### values

    public static PrintSides[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PrintSides valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null